com.opensymphony.xwork2

## Interface LocalizedTextProvider

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    GlobalLocalizedTextProvider, StrutsLocalizedTextProvider

      public interface LocalizedTextProvider
      extends Serializable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefaultResourceBundle(String resourceBundleName)`
    `String` | `findDefaultText(String aTextName, Locale locale)`
    `String` | `findDefaultText(String aTextName, Locale locale, Object[] params)`
    `ResourceBundle` | `findResourceBundle(String aBundleName, Locale locale)`
    `String` | `findText(Class aClass, String aTextName, Locale locale)`
    `String` | `findText(Class aClass, String aTextName, Locale locale, String defaultMessage, Object[] args)`
    `String` | `findText(Class aClass, String aTextName, Locale locale, String defaultMessage, Object[] args, ValueStack valueStack)`
    `String` | `findText(ResourceBundle bundle, String aTextName, Locale locale)`
    `String` | `findText(ResourceBundle bundle, String aTextName, Locale locale, String defaultMessage, Object[] args)`
    `String` | `findText(ResourceBundle bundle, String aTextName, Locale locale, String defaultMessage, Object[] args, ValueStack valueStack)`

- - ### Method Detail

    - #### findDefaultText

          String findDefaultText(String aTextName,
                                 Locale locale)

    - #### findDefaultText

          String findDefaultText(String aTextName,
                                 Locale locale,
                                 Object[] params)

    - #### findResourceBundle

          ResourceBundle findResourceBundle(String aBundleName,
                                            Locale locale)

    - #### findText

          String findText(Class aClass,
                          String aTextName,
                          Locale locale)

    - #### findText

          String findText(Class aClass,
                          String aTextName,
                          Locale locale,
                          String defaultMessage,
                          Object[] args)

    - #### findText

          String findText(Class aClass,
                          String aTextName,
                          Locale locale,
                          String defaultMessage,
                          Object[] args,
                          ValueStack valueStack)

    - #### findText

          String findText(ResourceBundle bundle,
                          String aTextName,
                          Locale locale)

    - #### findText

          String findText(ResourceBundle bundle,
                          String aTextName,
                          Locale locale,
                          String defaultMessage,
                          Object[] args)

    - #### findText

          String findText(ResourceBundle bundle,
                          String aTextName,
                          Locale locale,
                          String defaultMessage,
                          Object[] args,
                          ValueStack valueStack)

    - #### addDefaultResourceBundle

          void addDefaultResourceBundle(String resourceBundleName)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.